#include "StdAfx.h"
#include ".\nphttpfile.h"

CNPHTTPFile::CNPHTTPFile( void )
{
	m_lSize = 0;
}
CNPHTTPFile::~CNPHTTPFile( void )
{
	Close();
}
BOOL CNPHTTPFile::Open( LPCTSTR lpszURL, DWORD dwFlags /*= 0 */ )
{
	m_szURL = lpszURL;
	if ( m_szURL.Find( _T("http://") ) == -1 )
	{
		return FALSE;
	}
	if ( m_httpClient.GetLastUpdate( m_szURL, NULL, &m_lSize ) == FALSE )
	{
		return FALSE;
	}
	return TRUE;
}
DWORD CNPHTTPFile::Read( void* lpBuf, DWORD dwCount /*= 0 */ )
{
	if ( m_httpClient.GetPage( m_szURL, ( LPBYTE )lpBuf, m_lSize ) == FALSE )
	{
		return (DWORD)(-1);
	}
	return m_lSize;
}
ULONGLONG CNPHTTPFile::GetSize()
{
	return ( ULONGLONG )m_lSize;
}